Does not work with FF 6 Rated 4 out of 5 stars

It was a great valuable add-on, unfortunately it does not work with FF 6

This review is for a previous version of the add-on (1.5.3).